Skip to main content
`Ctrl`+`K`

# SNESLineSearchSetNorms

Sets the computed norms for the current solution `X`, the current update `Y`, and the current function value `F`.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchSetNorms(SNESLineSearch linesearch, PetscReal xnorm, PetscReal fnorm, PetscReal ynorm)

Collective

## Input Parameters

- linesearch - the line search context

- xnorm - The norm of the current solution

- fnorm - The norm of the current function, this is the `norm(function(X))` where `X` is the current solution

- ynorm - The norm of the current update (after scaling by the linesearch computed `lambda`)

## Note

This is called by the line search routines to store the values they have just computed

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESLineSearchGetNorms()`, `SNESLineSearchSetVecs()`

## Level

developer

## Location

src/snes/linesearch/interface/linesearch.c

## Examples

src/snes/tutorials/ex1f.F90

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages